Ensure all layers do pass yocto-check-layer and run-yocto-check-layer.sh scripts 75/28875/3
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>
Thu, 11 May 2023 11:02:46 +0000 (13:02 +0200)
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>
Tue, 30 May 2023 14:14:11 +0000 (14:14 +0000)
Ensure the layers do pass again and that the scripts are up-to-date.

Bug-AGL: SPEC-4680
Bug-AGL: SPEC-4681
Bug-AGL: SPEC-4682
Bug-AGL: SPEC-4683
Bug-AGL: SPEC-4684
Change-Id: I5ab1bc49dc361a7fc30a62c5c82d286e66bad72e
Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org>
Reviewed-on: https://gerrit.automotivelinux.org/gerrit/c/AGL/meta-agl/+/28875
Tested-by: Jenkins Job builder account
ci-image-build: Jenkins Job builder account
ci-image-boot-test: Jenkins Job builder account

meta-agl-core/scripts/run-yocto-check-layer-feature-enabled.sh [deleted file]
meta-agl-core/scripts/run-yocto-check-layer.sh
meta-app-framework/README [new symlink]
meta-app-framework/README-AGL.md [new file with mode: 0644]
meta-app-framework/conf/layer.conf
meta-app-framework/scripts/run-yocto-check-layer.sh
meta-netboot/scripts/run-yocto-check-layer-flags-enabled.sh [deleted file]
meta-netboot/scripts/run-yocto-check-layer.sh
meta-pipewire/scripts/run-yocto-check-layer.sh
scripts/ci-yocto-check-layer.sh [new file with mode: 0755]

diff --git a/meta-agl-core/scripts/run-yocto-check-layer-feature-enabled.sh b/meta-agl-core/scripts/run-yocto-check-layer-feature-enabled.sh
deleted file mode 100755 (executable)
index e0e9d17..0000000
+++ /dev/null
@@ -1,46 +0,0 @@
-#!/bin/bash
-set -x
-
-SCRIPTPATH="$( cd $(dirname $0) >/dev/null 2>&1 ; pwd -P )"
-echo $SCRIPTPATH
-AGLROOT="$SCRIPTPATH/../../.."
-POKYDIR="$AGLROOT/external/poky"
-TMPROOT=`mktemp -d`
-
-rm -rf ${TMPROOT}/testbuild-ycl || true
-mkdir -p ${TMPROOT}/testbuild-ycl
-cd ${TMPROOT}/testbuild-ycl
-
-source $POKYDIR/oe-init-build-env .
-
-cat << EOF >> conf/local.conf
-# just define defaults
-AGL_FEATURES ?= ""
-AGL_EXTRA_IMAGE_FSTYPES ?= ""
-
-# important settings imported from poky-agl.conf
-# we do not import 
-DISTRO_FEATURES:append = " systemd"
-DISTRO_FEATURES_BACKFILL_CONSIDERED:append = " sysvinit"
-VIRTUAL-RUNTIME_init_manager = "systemd"
-
-AGL_FEATURES += "aglcore"
-
-EOF
-
-
-yocto-check-layer \
-       --dependency \
-       $AGLROOT/external/meta-openembedded/meta-oe \
-       -- \
-       $AGLROOT/meta-agl/meta-agl-core
-
-
-[ $? = 0 ] && rm -rf ${TMPROOT}/testbuild-ycl
-
-exit 0
-
-       --dependency \
-           $AGLROOT/external/meta-openembedded/meta-oe \
-           $AGLROOT/external/meta-openembedded/meta-python \
-           $AGLROOT/external/meta-openembedded/meta-networking \
index 4f11752..cd93646 100755 (executable)
@@ -1,5 +1,5 @@
 #!/bin/bash
-set -x
+#set -x
 
 SCRIPTPATH="$( cd $(dirname $0) >/dev/null 2>&1 ; pwd -P )"
 echo $SCRIPTPATH
@@ -19,15 +19,18 @@ AGL_FEATURES ?= ""
 AGL_EXTRA_IMAGE_FSTYPES ?= ""
 
 # important settings imported from poky-agl.conf
-# we do not import 
-DISTRO_FEATURES:append = " systemd wayland pam"
+# we cannot import the distro config right away
+# as the initial values are poky only till the layer
+# is added in
+# no polkit !
+AGL_DEFAULT_DISTRO_FEATURES = "usrmerge largefile opengl wayland pam bluetooth bluez5 3g"
+DISTRO_FEATURES:append = " systemd wayland pam \${AGL_DEFAULT_DISTRO_FEATURES}"
 DISTRO_FEATURES_BACKFILL_CONSIDERED:append = " sysvinit"
 VIRTUAL-RUNTIME_init_manager = "systemd"
 
 EOF
 
-
-yocto-check-layer \
+yocto-check-layer --no-auto-dependency \
        -- \
        $AGLROOT/meta-agl/meta-agl-core
 
@@ -35,8 +38,3 @@ yocto-check-layer \
 [ $? = 0 ] && rm -rf ${TMPROOT}/testbuild-ycl
 
 exit 0
-
-       --dependency \
-           $AGLROOT/external/meta-openembedded/meta-oe \
-           $AGLROOT/external/meta-openembedded/meta-python \
-           $AGLROOT/external/meta-openembedded/meta-networking \
diff --git a/meta-app-framework/README b/meta-app-framework/README
new file mode 120000 (symlink)
index 0000000..4a7a1a1
--- /dev/null
@@ -0,0 +1 @@
+README-AGL.md
\ No newline at end of file
diff --git a/meta-app-framework/README-AGL.md b/meta-app-framework/README-AGL.md
new file mode 100644 (file)
index 0000000..bd0c2de
--- /dev/null
@@ -0,0 +1,31 @@
+Overview
+========
+
+The
+[AGL Project](https://www.automotivelinux.org/) is an automotive-specific
+development environment that provides a Linux distribution
+[AGL UCB](https://www.automotivelinux.org/software/unified-code-base).
+
+AGL uses layers designed to be compatible with the
+[Yocto Project](https://www.yoctoproject.org) and the
+[OpenEmbedded Project (OE)](https://www.openembedded.org/wiki/Main_Page).
+
+This section provides information about the layers used by the AGL Project:
+
+* **`meta-agl/meta-app-framework`**: Application (lifecycle) manager
+
+    ```
+    $ git clone https://gerrit.automotivelinux.org/gerrit/AGL/meta-agl
+    ```
+
+Maintenance
+-----------
+
+All patches must be submitted via the AGL Gerrit instance at
+<https://gerrit.automotivelinux.org>.  See this wiki page for
+details:
+
+<https://wiki.automotivelinux.org/agl-distro/contributing>
+
+Layer maintainers:
+* Jan-Simon Möller <jsmoeller@linuxfoundation.org>
index 10d4580..8556535 100644 (file)
@@ -10,4 +10,4 @@ BBFILE_PATTERN_meta-app-framework = "^${LAYERDIR}/"
 BBFILE_PRIORITY_meta-app-framework = "60"
 
 LAYERSERIES_COMPAT_meta-app-framework = "kirkstone"
-LAYERDEPENDS_meta-app-framework = "core aglcore"
+LAYERDEPENDS_meta-app-framework = "core aglcore openembedded-layer"
index 62377d3..cbe35ed 100755 (executable)
@@ -19,19 +19,25 @@ AGL_FEATURES ?= ""
 AGL_EXTRA_IMAGE_FSTYPES ?= ""
 
 # important settings imported from poky-agl.conf
-# we do not import 
-DISTRO_FEATURES:append = " systemd"
+# we cannot import the distro config right away
+# as the initial values are poky only till the layer
+# is added in
+
+AGL_DEFAULT_DISTRO_FEATURES := "usrmerge largefile opengl wayland pam bluetooth bluez5 3g polkit"
+DISTRO_FEATURES:append := " systemd wayland pam \${AGL_DEFAULT_DISTRO_FEATURES}"
 DISTRO_FEATURES_BACKFILL_CONSIDERED:append = " sysvinit"
 VIRTUAL-RUNTIME_init_manager = "systemd"
 
 EOF
 
-
-yocto-check-layer \
+yocto-check-layer --no-auto-dependency \
        --dependency \
        $AGLROOT/meta-agl/meta-agl-core \
+       $AGLROOT/external/meta-openembedded/meta-oe \
        -- \
        $AGLROOT/meta-agl/meta-app-framework
 
 
 [ $? = 0 ] && rm -rf ${TMPROOT}/testbuild-ycl
+
+exit 0
diff --git a/meta-netboot/scripts/run-yocto-check-layer-flags-enabled.sh b/meta-netboot/scripts/run-yocto-check-layer-flags-enabled.sh
deleted file mode 100755 (executable)
index 4e814f5..0000000
+++ /dev/null
@@ -1,42 +0,0 @@
-#!/bin/bash
-#set -x
-
-SCRIPTPATH="$( cd $(dirname $0) >/dev/null 2>&1 ; pwd -P )"
-echo $SCRIPTPATH
-AGLROOT="$SCRIPTPATH/../../.."
-POKYDIR="$AGLROOT/external/poky"
-TMPROOT=`mktemp -d`
-
-rm -rf ${TMPROOT}/testbuild-ycl || true
-mkdir -p ${TMPROOT}/testbuild-ycl
-cd ${TMPROOT}/testbuild-ycl
-
-source $POKYDIR/oe-init-build-env .
-
-cat << EOF >> conf/local.conf
-# just define defaults
-AGL_FEATURES ?= ""
-AGL_EXTRA_IMAGE_FSTYPES ?= ""
-
-# important settings imported from poky-agl.conf
-# we do not import 
-DISTRO_FEATURES:append = " systemd"
-DISTRO_FEATURES_BACKFILL_CONSIDERED:append = " sysvinit"
-VIRTUAL-RUNTIME_init_manager = "systemd"
-
-NETBOOT_ENABLED = "1"
-NETBOOT_FSTYPES ??= "ext4.gz"
-
-EOF
-
-
-yocto-check-layer \
-       --dependency \
-           $AGLROOT/external/meta-openembedded/meta-oe \
-           $AGLROOT/external/meta-openembedded/meta-python \
-           $AGLROOT/external/meta-openembedded/meta-networking \
-       -- \
-       $AGLROOT/meta-agl/meta-netboot/
-
-
-[ $? = 0 ] && rm -rf ${TMPROOT}/testbuild-ycl
index b36788a..979c768 100755 (executable)
@@ -19,21 +19,26 @@ AGL_FEATURES ?= ""
 AGL_EXTRA_IMAGE_FSTYPES ?= ""
 
 # important settings imported from poky-agl.conf
-# we do not import 
-DISTRO_FEATURES:append = " systemd"
+# we cannot import the distro config right away
+# as the initial values are poky only till the layer
+# is added in
+
+AGL_DEFAULT_DISTRO_FEATURES = "usrmerge largefile opengl wayland pam bluetooth bluez5 3g polkit"
+DISTRO_FEATURES:append = " systemd wayland pam \${AGL_DEFAULT_DISTRO_FEATURES}"
 DISTRO_FEATURES_BACKFILL_CONSIDERED:append = " sysvinit"
 VIRTUAL-RUNTIME_init_manager = "systemd"
 
 EOF
 
-
-yocto-check-layer \
+yocto-check-layer --no-auto-dependency \
        --dependency \
-           $AGLROOT/external/meta-openembedded/meta-oe \
-           $AGLROOT/external/meta-openembedded/meta-python \
-           $AGLROOT/external/meta-openembedded/meta-networking \
+       $AGLROOT/external/meta-openembedded/meta-oe \
+       $AGLROOT/external/meta-openembedded/meta-python \
+       $AGLROOT/external/meta-openembedded/meta-networking \
        -- \
-       $AGLROOT/meta-agl/meta-netboot/
+       $AGLROOT/meta-agl/meta-netboot
 
 
 [ $? = 0 ] && rm -rf ${TMPROOT}/testbuild-ycl
+
+exit 0
index 508d8f7..0e911a1 100755 (executable)
@@ -19,17 +19,24 @@ AGL_FEATURES ?= ""
 AGL_EXTRA_IMAGE_FSTYPES ?= ""
 
 # important settings imported from poky-agl.conf
-# we do not import 
-DISTRO_FEATURES:append = " systemd"
+# we cannot import the distro config right away
+# as the initial values are poky only till the layer
+# is added in
+
+AGL_DEFAULT_DISTRO_FEATURES = "usrmerge largefile opengl wayland pam bluetooth bluez5 3g polkit"
+DISTRO_FEATURES:append = " systemd wayland pam \${AGL_DEFAULT_DISTRO_FEATURES}"
 DISTRO_FEATURES_BACKFILL_CONSIDERED:append = " sysvinit"
 VIRTUAL-RUNTIME_init_manager = "systemd"
 
 EOF
 
-
-yocto-check-layer \
+yocto-check-layer --no-auto-dependency \
+       --dependency \
+       $AGLROOT/external/meta-openembedded/meta-oe \
        -- \
        $AGLROOT/meta-agl/meta-pipewire
 
 
 [ $? = 0 ] && rm -rf ${TMPROOT}/testbuild-ycl
+
+exit 0
diff --git a/scripts/ci-yocto-check-layer.sh b/scripts/ci-yocto-check-layer.sh
new file mode 100755 (executable)
index 0000000..c221143
--- /dev/null
@@ -0,0 +1,22 @@
+#!/bin/bash
+set -e
+
+pushd .
+
+pushd meta-agl-core
+./scripts/run-yocto-check-layer.sh
+popd
+
+pushd meta-netboot
+./scripts/run-yocto-check-layer.sh
+popd
+
+pushd meta-pipewire
+./scripts/run-yocto-check-layer.sh
+popd
+
+pushd meta-app-framework
+./scripts/run-yocto-check-layer.sh
+popd
+
+popd
\ No newline at end of file